%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%											
%   "Copyright (c) 2011 David I Shuman"				
%   All rights reserved.
%
%   This is free software: you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation, either version 3 of the License, or
%   (at your option) any later version.
%
%   This code is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU General Public License for more details.
%
%   If you do not have a copy of the GNU General Public License,
%   see <http://www.gnu.org/licenses/>.									
%											
%   Authors: Javier Prez-Trufero and David I Shuman
%   Signal Processing Laboratories LTS2 and LTS4
%   cole Polytechnique Fdrale de Lausanne (EPFL)
%   Contact: david.shuman@epfl.ch
%
%   Date last modified:	10/12/2011 
%
%   Description:
%     This function plots a communication network on top of an underlying
%     signal
%  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function show_network(data,adj_matrix,node_locations,N,region_bound,delta)

%Normalize data
maxoverall=max(data(:));
data=data./maxoverall;

figure;
hold on
colormap('summer')
colorbar('location','NorthOutside')
axis([0 region_bound 0 region_bound])
contourf(0:delta.x:1,0:delta.y:1,data)
scatter(node_locations(:,1),node_locations(:,2),20,'MarkerFaceColor','b','MarkerEdgeColor','b','SizeData',50); %Plot the nodes
for i=1:N
    for j=1:N
        if(adj_matrix(i,j)==1)
            x = [node_locations(i,1) node_locations(j,1)];
            y = [node_locations(i,2) node_locations(j,2)];
            plot(x,y,'-r','LineWidth',.25); %Plot the links
        end
    end
end
hold off
end